#           Robert Cowham, Vaccaperna Systems Ltd, 2003/12/04
#

p4_port = 'localhost:1680'
p4_user = 'robert'
p4_password = ''

p4_client_executable = "p4.exe"
p4_server_description = 'Perforce server'

p4_license_file = 'C:\\Perforce\\license'

p4_server_executable = {
	"2006.1": "c:/apps/bin/p4d-2006-1.exe",
	"2005.2": "c:/apps/bin/p4d-2005-2.exe",
	"2005.1": "c:/apps/bin/p4d-2005-1.exe",
	"2004.2": "c:/apps/bin/p4d-2004-2.exe",
	"2003.2": "c:/apps/bin/p4d-2003-2.exe",
	}

ss_path = 'C:\\Program Files\\Microsoft Visual Studio\\Common\\VSS\\win32'
SSDIR = 'c:\\work\\vsstop4\\test-vss-db'

convert_params = {
    'p4port':       p4_port,
    'p4client':     'vss',
    'p4user':       p4_user,
    'root':         '$/GUI Release 3.4/BO Configuration/Area Maintenance (AMnt)',
    #'vsscorrupt':   'yes',
    #'exclude':      '$/GUI Release 3.4/BO Cash Management',
    'ss_options':   '-I-Y',
    #'vss_use_ole': 'yes',
    'vss_user':    'tjm',
    'vss_password':    'tjm',
    'depot':        'depot',
    'depot_root':   'import/proj',
    #'start_time':          '2000/02/01 15:07:01',
    #'typemap_regexp':      '(makefile|\.(pdf|a|o|obj|lib|dll|exe))$',
    'time_interval':        600,
    'lowercase_pathnames':  'no',
    'lowercase_filenames':  'no',
    'lowercase_extensions': 'yes',
    'lowercase_usernames':  'yes',
    'debug_level':          '10',
    'bypass_metadata':      'no',
    'perform_verify':       'no',
    'skip_ss_get_errors':   'no',
    'label_prefix':         'vss_',
    # 'label_ignore_regexp': '(.*littler.*)',
    }

p4port = p4_port
